// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: resourcemodule/resourcemodule.proto

package openfmb.resourcemodule;

public final class Resourcemodule {
  private Resourcemodule() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_BooleanControlGGIO_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_BooleanControlGGIO_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_IntegerControlGGIO_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_IntegerControlGGIO_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_StringControlGGIO_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_StringControlGGIO_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_AnalogControlGGIO_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_AnalogControlGGIO_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_ResourceDiscreteControl_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_ResourceDiscreteControl_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_ResourceDiscreteControlProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_ResourceDiscreteControlProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_ResourceReading_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_ResourceReading_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_ResourceReadingProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_ResourceReadingProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_ResourceEvent_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_ResourceEvent_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_ResourceEventProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_ResourceEventProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_ResourceStatus_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_ResourceStatus_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_resourcemodule_ResourceStatusProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_resourcemodule_ResourceStatusProfile_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n#resourcemodule/resourcemodule.proto\022\016r" +
      "esourcemodule\032\tuml.proto\032\037commonmodule/c" +
      "ommonmodule.proto\"\262\001\n\022BooleanControlGGIO" +
      "\0224\n\013logicalNode\030\001 \001(\0132\031.commonmodule.Log" +
      "icalNodeB\004\200\265\030\001\0223\n\005Phase\030\002 \001(\0132$.commonmo" +
      "dule.Optional_PhaseCodeKind\0221\n\005SPCSO\030\003 \001" +
      "(\0132\030.commonmodule.ControlSPCB\010\210\265\030\001\220\265\030\001\"\262" +
      "\001\n\022IntegerControlGGIO\0224\n\013logicalNode\030\001 \001" +
      "(\0132\031.commonmodule.LogicalNodeB\004\200\265\030\001\0221\n\005I" +
      "SCSO\030\002 \001(\0132\030.commonmodule.ControlINCB\010\210\265" +
      "\030\001\220\265\030\001\0223\n\005Phase\030\003 \001(\0132$.commonmodule.Opt" +
      "ional_PhaseCodeKind\"\253\001\n\021StringControlGGI" +
      "O\0224\n\013logicalNode\030\001 \001(\0132\031.commonmodule.Lo" +
      "gicalNodeB\004\200\265\030\001\0223\n\005Phase\030\002 \001(\0132$.commonm" +
      "odule.Optional_PhaseCodeKind\022+\n\006StrOut\030\003" +
      " \001(\0132\021.commonmodule.VSCB\010\210\265\030\001\220\265\030\001\"\261\001\n\021An" +
      "alogControlGGIO\0224\n\013logicalNode\030\001 \001(\0132\031.c" +
      "ommonmodule.LogicalNodeB\004\200\265\030\001\0221\n\005AnOut\030\002" +
      " \001(\0132\030.commonmodule.ControlAPCB\010\210\265\030\001\220\265\030\001" +
      "\0223\n\005Phase\030\003 \001(\0132$.commonmodule.Optional_" +
      "PhaseCodeKind\"\233\003\n\027ResourceDiscreteContro" +
      "l\022>\n\020identifiedObject\030\001 \001(\0132\036.commonmodu" +
      "le.IdentifiedObjectB\004\200\265\030\001\022,\n\005check\030\002 \001(\013" +
      "2\035.commonmodule.CheckConditions\022B\n\021analo" +
      "gControlGGIO\030\003 \003(\0132!.resourcemodule.Anal" +
      "ogControlGGIOB\004\220\265\030\000\022D\n\022booleanControlGGI" +
      "O\030\004 \003(\0132\".resourcemodule.BooleanControlG" +
      "GIOB\004\220\265\030\000\022D\n\022integerControlGGIO\030\005 \003(\0132\"." +
      "resourcemodule.IntegerControlGGIOB\004\220\265\030\000\022" +
      "B\n\021stringControlGGIO\030\006 \003(\0132!.resourcemod" +
      "ule.StringControlGGIOB\004\220\265\030\000\"\210\002\n\036Resource" +
      "DiscreteControlProfile\022B\n\022controlMessage" +
      "Info\030\001 \001(\0132 .commonmodule.ControlMessage" +
      "InfoB\004\200\265\030\001\022H\n\023conductingEquipment\030\002 \001(\0132" +
      "!.commonmodule.ConductingEquipmentB\010\210\265\030\001" +
      "\220\265\030\001\022R\n\027resourceDiscreteControl\030\003 \001(\0132\'." +
      "resourcemodule.ResourceDiscreteControlB\010" +
      "\210\265\030\001\220\265\030\001:\004\300\363\030\001\"\201\002\n\017ResourceReading\022b\n\"co" +
      "nductingEquipmentTerminalReading\030\001 \001(\01320" +
      ".commonmodule.ConductingEquipmentTermina" +
      "lReadingB\004\200\265\030\001\022*\n\tphaseMMTN\030\002 \001(\0132\027.comm" +
      "onmodule.PhaseMMTN\022.\n\013readingMMTR\030\003 \001(\0132" +
      "\031.commonmodule.ReadingMMTR\022.\n\013readingMMX" +
      "U\030\004 \001(\0132\031.commonmodule.ReadingMMXU\"\374\001\n\026R" +
      "esourceReadingProfile\022B\n\022readingMessageI" +
      "nfo\030\001 \001(\0132 .commonmodule.ReadingMessageI" +
      "nfoB\004\200\265\030\001\022H\n\023conductingEquipment\030\002 \001(\0132!" +
      ".commonmodule.ConductingEquipmentB\010\210\265\030\001\220" +
      "\265\030\001\022B\n\017resourceReading\030\003 \001(\0132\037.resourcem" +
      "odule.ResourceReadingB\010\210\265\030\001\220\265\030\001:\004\300\363\030\001J\004\010" +
      "\024\020\025J\004\010\026\020\027\"\223\003\n\rResourceEvent\022>\n\020identifie" +
      "dObject\030\001 \001(\0132\036.commonmodule.IdentifiedO" +
      "bjectB\004\200\265\030\001\022N\n\030analogEventAndStatusGGIO\030" +
      "\002 \003(\0132&.commonmodule.AnalogEventAndStatu" +
      "sGGIOB\004\220\265\030\000\022P\n\031booleanEventAndStatusGGIO" +
      "\030\003 \003(\0132\'.commonmodule.BooleanEventAndSta" +
      "tusGGIOB\004\220\265\030\000\022P\n\031integerEventAndStatusGG" +
      "IO\030\004 \003(\0132\'.commonmodule.IntegerEventAndS" +
      "tatusGGIOB\004\220\265\030\000\022N\n\030stringEventAndStatusG" +
      "GIO\030\005 \003(\0132&.commonmodule.StringEventAndS" +
      "tatusGGIOB\004\220\265\030\000\"\346\001\n\024ResourceEventProfile" +
      "\022>\n\020eventMessageInfo\030\001 \001(\0132\036.commonmodul" +
      "e.EventMessageInfoB\004\200\265\030\001\022H\n\023conductingEq" +
      "uipment\030\002 \001(\0132!.commonmodule.ConductingE" +
      "quipmentB\010\210\265\030\001\220\265\030\001\022>\n\rresourceEvent\030\003 \001(" +
      "\0132\035.resourcemodule.ResourceEventB\010\210\265\030\001\220\265" +
      "\030\001:\004\300\363\030\001\"\224\003\n\016ResourceStatus\022>\n\020identifie" +
      "dObject\030\001 \001(\0132\036.commonmodule.IdentifiedO" +
      "bjectB\004\200\265\030\001\022N\n\030analogEventAndStatusGGIO\030" +
      "\002 \003(\0132&.commonmodule.AnalogEventAndStatu" +
      "sGGIOB\004\220\265\030\000\022P\n\031booleanEventAndStatusGGIO" +
      "\030\003 \003(\0132\'.commonmodule.BooleanEventAndSta" +
      "tusGGIOB\004\220\265\030\000\022P\n\031integerEventAndStatusGG" +
      "IO\030\004 \003(\0132\'.commonmodule.IntegerEventAndS" +
      "tatusGGIOB\004\220\265\030\000\022N\n\030stringEventAndStatusG" +
      "GIO\030\005 \003(\0132&.commonmodule.StringEventAndS" +
      "tatusGGIOB\004\220\265\030\000\"\353\001\n\025ResourceStatusProfil" +
      "e\022@\n\021statusMessageInfo\030\001 \001(\0132\037.commonmod" +
      "ule.StatusMessageInfoB\004\200\265\030\001\022H\n\023conductin" +
      "gEquipment\030\002 \001(\0132!.commonmodule.Conducti" +
      "ngEquipmentB\010\210\265\030\001\220\265\030\001\022@\n\016resourceStatus\030" +
      "\003 \001(\0132\036.resourcemodule.ResourceStatusB\010\210" +
      "\265\030\001\220\265\030\001:\004\300\363\030\001B\212\001\n\026openfmb.resourcemodule" +
      "P\001ZUgitlab.com/openfmb/psm/ops/protobuf/" +
      "go-openfmb-ops-protobuf/v2/openfmb/resou" +
      "rcemodule\252\002\026openfmb.resourcemoduleb\006prot" +
      "o3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          openfmb.Uml.getDescriptor(),
          openfmb.commonmodule.Commonmodule.getDescriptor(),
        });
    internal_static_resourcemodule_BooleanControlGGIO_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_resourcemodule_BooleanControlGGIO_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_BooleanControlGGIO_descriptor,
        new java.lang.String[] { "LogicalNode", "Phase", "SPCSO", });
    internal_static_resourcemodule_IntegerControlGGIO_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_resourcemodule_IntegerControlGGIO_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_IntegerControlGGIO_descriptor,
        new java.lang.String[] { "LogicalNode", "ISCSO", "Phase", });
    internal_static_resourcemodule_StringControlGGIO_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_resourcemodule_StringControlGGIO_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_StringControlGGIO_descriptor,
        new java.lang.String[] { "LogicalNode", "Phase", "StrOut", });
    internal_static_resourcemodule_AnalogControlGGIO_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_resourcemodule_AnalogControlGGIO_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_AnalogControlGGIO_descriptor,
        new java.lang.String[] { "LogicalNode", "AnOut", "Phase", });
    internal_static_resourcemodule_ResourceDiscreteControl_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_resourcemodule_ResourceDiscreteControl_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_ResourceDiscreteControl_descriptor,
        new java.lang.String[] { "IdentifiedObject", "Check", "AnalogControlGGIO", "BooleanControlGGIO", "IntegerControlGGIO", "StringControlGGIO", });
    internal_static_resourcemodule_ResourceDiscreteControlProfile_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_resourcemodule_ResourceDiscreteControlProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_ResourceDiscreteControlProfile_descriptor,
        new java.lang.String[] { "ControlMessageInfo", "ConductingEquipment", "ResourceDiscreteControl", });
    internal_static_resourcemodule_ResourceReading_descriptor =
      getDescriptor().getMessageTypes().get(6);
    internal_static_resourcemodule_ResourceReading_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_ResourceReading_descriptor,
        new java.lang.String[] { "ConductingEquipmentTerminalReading", "PhaseMMTN", "ReadingMMTR", "ReadingMMXU", });
    internal_static_resourcemodule_ResourceReadingProfile_descriptor =
      getDescriptor().getMessageTypes().get(7);
    internal_static_resourcemodule_ResourceReadingProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_ResourceReadingProfile_descriptor,
        new java.lang.String[] { "ReadingMessageInfo", "ConductingEquipment", "ResourceReading", });
    internal_static_resourcemodule_ResourceEvent_descriptor =
      getDescriptor().getMessageTypes().get(8);
    internal_static_resourcemodule_ResourceEvent_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_ResourceEvent_descriptor,
        new java.lang.String[] { "IdentifiedObject", "AnalogEventAndStatusGGIO", "BooleanEventAndStatusGGIO", "IntegerEventAndStatusGGIO", "StringEventAndStatusGGIO", });
    internal_static_resourcemodule_ResourceEventProfile_descriptor =
      getDescriptor().getMessageTypes().get(9);
    internal_static_resourcemodule_ResourceEventProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_ResourceEventProfile_descriptor,
        new java.lang.String[] { "EventMessageInfo", "ConductingEquipment", "ResourceEvent", });
    internal_static_resourcemodule_ResourceStatus_descriptor =
      getDescriptor().getMessageTypes().get(10);
    internal_static_resourcemodule_ResourceStatus_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_ResourceStatus_descriptor,
        new java.lang.String[] { "IdentifiedObject", "AnalogEventAndStatusGGIO", "BooleanEventAndStatusGGIO", "IntegerEventAndStatusGGIO", "StringEventAndStatusGGIO", });
    internal_static_resourcemodule_ResourceStatusProfile_descriptor =
      getDescriptor().getMessageTypes().get(11);
    internal_static_resourcemodule_ResourceStatusProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_resourcemodule_ResourceStatusProfile_descriptor,
        new java.lang.String[] { "StatusMessageInfo", "ConductingEquipment", "ResourceStatus", });
    com.google.protobuf.ExtensionRegistry registry =
        com.google.protobuf.ExtensionRegistry.newInstance();
    registry.add(openfmb.Uml.optionMultiplicityMin);
    registry.add(openfmb.Uml.optionOpenfmbProfile);
    registry.add(openfmb.Uml.optionParentMessage);
    registry.add(openfmb.Uml.optionRequiredField);
    com.google.protobuf.Descriptors.FileDescriptor
        .internalUpdateFileDescriptor(descriptor, registry);
    openfmb.Uml.getDescriptor();
    openfmb.commonmodule.Commonmodule.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
